Package org.apache.wiki.plugin

## Class Image

- java.lang.Object
- - org.apache.wiki.plugin.Image

All Implemented Interfaces:
  `Plugin`

    public class Image
    extends java.lang.Object
    implements Plugin

Provides an image plugin for better control than is possible with a simple image inclusion.
Most parameters are equivalents of the html image attributes.

Parameters :

- src - the source (a URL) of the image (required parameter)
- align - the alignment of the image
- height - the height of the image
- width - the width of the image
- alt - alternate text
- caption - the caption for the image
- link - the hyperlink for the image
- target - the target (frame) to be used for opening the image
- style - the style attribute of the image
- class - the associated class for the image
- border - the border for the image
- title - the title for the image, can be presented as a tooltip to the user

Since:
  2.1.4.

### Field Summary

Fields
`static java.lang.String` `PARAM_ALIGN` The parameter name for setting the align parameter.
`static java.lang.String` `PARAM_ALT` The parameter name for setting the alt.
`static java.lang.String` `PARAM_BORDER` The parameter name for setting the border.
`static java.lang.String` `PARAM_CAPTION` The parameter name for setting the caption.
`static java.lang.String` `PARAM_CLASS` The parameter name for setting the class.
`static java.lang.String` `PARAM_HEIGHT` The parameter name for setting the height.
`static java.lang.String` `PARAM_LINK` The parameter name for setting the link.
`static java.lang.String` `PARAM_SRC` The parameter name for setting the src.
`static java.lang.String` `PARAM_STYLE` The parameter name for setting the style.
`static java.lang.String` `PARAM_TARGET` The parameter name for setting the target.
`static java.lang.String` `PARAM_TITLE` The parameter name for setting the title.
`static java.lang.String` `PARAM_WIDTH` The parameter name for setting the width.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`Image()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_SRC

    public static final java.lang.String PARAM_SRC

The parameter name for setting the src. Value is `"src"`.

See Also:
  Constant Field Values

#### PARAM_ALIGN

    public static final java.lang.String PARAM_ALIGN

The parameter name for setting the align parameter. Value is `"align"`.

See Also:
  Constant Field Values

#### PARAM_HEIGHT

    public static final java.lang.String PARAM_HEIGHT

The parameter name for setting the height. Value is `"height"`.

See Also:
  Constant Field Values

#### PARAM_WIDTH

    public static final java.lang.String PARAM_WIDTH

The parameter name for setting the width. Value is `"width"`.

See Also:
  Constant Field Values

#### PARAM_ALT

    public static final java.lang.String PARAM_ALT

The parameter name for setting the alt. Value is `"alt"`.

See Also:
  Constant Field Values

#### PARAM_CAPTION

    public static final java.lang.String PARAM_CAPTION

The parameter name for setting the caption. Value is `"caption"`.

See Also:
  Constant Field Values

#### PARAM_LINK

    public static final java.lang.String PARAM_LINK

The parameter name for setting the link. Value is `"link"`.

See Also:
  Constant Field Values

#### PARAM_TARGET

    public static final java.lang.String PARAM_TARGET

The parameter name for setting the target. Value is `"target"`.

See Also:
  Constant Field Values

#### PARAM_STYLE

    public static final java.lang.String PARAM_STYLE

The parameter name for setting the style. Value is `"style"`.

See Also:
  Constant Field Values

#### PARAM_CLASS

    public static final java.lang.String PARAM_CLASS

The parameter name for setting the class. Value is `"class"`.

See Also:
  Constant Field Values

#### PARAM_BORDER

    public static final java.lang.String PARAM_BORDER

The parameter name for setting the border. Value is `"border"`.

See Also:
  Constant Field Values

#### PARAM_TITLE

    public static final java.lang.String PARAM_TITLE

The parameter name for setting the title. Value is `"title"`.

See Also:
  Constant Field Values

### Constructor Detail

#### Image

    public Image()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`